lokinet(1)

NAME
lokinet - Reference implementation for LLARP.

SYNOPSIS
lokinet [ options ... ] [ config.ini ]

DESCRIPTION

For a number of years, work has been proceeding in order to bring prefection to the crudely concieved idea of a packet based onion routing protocol with a cryptoeconomical sybil resistence incentive that not only would be able to provide low latency anonymous internet access but also be capable of automatically tunneling all local network traffic over said mixnet. Such an a program would be the turbo encabu...lokinet . Now basically the only new principle involved is that now instead of restricting the user to using TCP and exposing a socks proxy or transparent proxy like Tor, an ip tunnel is provided with a dns resolver for intercepting lookups for the .loki tld. The original implementation was in C but eventually devolved into C++ in such a way that there is a public C api but internally entirely implemented with C++11 wrapped with a foriegn function interface. The latter being more rapidly developable, but I digress ...

OPTIONS

-g  Generate config file

-f  Force overwrite of existing config file

-r  Configure to be a relay

FILES
$HOME/.lokinet/

    The default runtime directory
$HOME/.lokinet/lokinet.ini

    The default config file.

SEE ALSO
Documentation for lokinet configuration with loki service nodes. loki-service-nodes(7)

AUTHOR
This manual page was written by Jeff <jeff@i2p.rocks>

Permission is granted to copy, distribute and/or modify this document under the terms of the same license of lokinet source code.
See the LICENSE file for more information.